Subject: [Lsr] Adam Roach's No Objection on draft-ietf-isis-segment-routing-extensions-24: (with COMMENT)

From: Adam Roach via Datatracker <[email-masked]>
Date: Tue, 14 May 2019 22:02:40 -0700

Adam Roach has entered the following ballot position for
draft-ietf-isis-segment-routing-extensions-24: No Objection

When responding, please keep the subject line intact and reply to all
email addresses included in the To and CC lines. (Feel free to cut this
introductory paragraph, however.)

Please refer to https://www.ietf.org/iesg/statement/discuss-criteria.html
for more information about IESG DISCUSS and COMMENT positions.

The document, along with other ballot positions, can be found here:
https://datatracker.ietf.org/doc/draft-ietf-isis-segment-routing-extensions/

----------------------------------------------------------------------
COMMENT:
----------------------------------------------------------------------

Thanks for the work everyone has put into this document. I have only a small
number of minor comments.

---------------------------------------------------------------------------

§2.4:

>  o  1 octet of RESERVED

For the sake of making this byte potentially usable in the future, consider
adding text specifying something like "MUST be set to 0 on transmission,
and MUST be ignored on reception."

---------------------------------------------------------------------------

§2.4.6:

>  10.1.1/24, Prefix-SID: Index 51
>  10.1.2/24, Prefix-SID: Index 52
>  10.1.3/24, Prefix-SID: Index 53
>  10.1.4/24, Prefix-SID: Index 54
>  10.1.5/24, Prefix-SID: Index 55
>  10.1.6/24, Prefix-SID: Index 56
>  10.1.7/24, Prefix-SID: Index 57

Please change these addresses to ranges reserved by IANA for
documentation purposes rather than those reserved for private use.

---------------------------------------------------------------------------
§2.4.6:

>  2001:DB8:1/48, Prefix-SID: Index 151
>  2001:DB8:2/48, Prefix-SID: Index 152
>  2001:DB8:3/48, Prefix-SID: Index 153
>  2001:DB8:4/48, Prefix-SID: Index 154

Please change these IPv6 addresses to use lowercase hex digits.
See https://tools.ietf.org/html/rfc5952#section-4.3

---

From: "Les Ginsberg (ginsberg)" <[email-masked]>
Date: Wed, 15 May 2019 05:22:46 +0000

Adam -

Thanx for the review.

Responses inline.

> -----Original Message-----
> From: Adam Roach via Datatracker <[email-masked]>
> Sent: Tuesday, May 14, 2019 10:03 PM
> To: The IESG <[email-masked]>
> Cc: [email-masked]; Christian Hopps
> <[email-masked]>; Uma Chunduri <[email-masked]>;
> [email-masked]; [email-masked]; [email-masked];
> [email-masked]
> Subject: Adam Roach's No Objection on draft-ietf-isis-segment-routing-
> extensions-24: (with COMMENT)
> 
[Les:] Will do.
[Les:] Sorry, but this is not possible. :-)
Example 2 is trying to show:

1)What the TLV encoding looks like when the prefix length is /24 or less. In such a case all four bytes of the prefix are not included in the encoded address - only the number of bytes necessary to fully specify the significant bits of the prefix are encoded.
2)With a range greater than 1, what is the prefix to SID mappings which result from the advertisement.

This necessitates showing that it is the usable bits of the prefix that are incremented when mapping to the next SID in the range - in this example adding "0.0.1.0" to the prefix.
RFC 5737 only reserves three disjoint /24 ranges - so this example cannot be supported using just the reserved addresses.

[Les:] Will do.

   Les

---

From: Adam Roach <[email-masked]>
Date: Wed, 15 May 2019 00:27:29 -0500

> RFC 5737 only reserves three disjoint /24 ranges - so this example cannot be supported using just the reserved addresses.

Oh, of course! Thanks for explaining that.

/a

---

From: "Les Ginsberg (ginsberg)" <[email-masked]>
Date: Mon, 20 May 2019 03:33:41 +0000

Adam -

V25 of the draft has been published addressing your comments.

   Les

> From: Les Ginsberg (ginsberg) <[email-masked]>
> Sent: Tuesday, May 14, 2019 10:23 PM
> To: Adam Roach <[email-masked]>; The IESG <[email-masked]>
> [email-masked]; [email-masked]; [email-masked]
> Subject: RE: Adam Roach's No Objection on draft-ietf-isis-segment-routing-
> 1)What the TLV encoding looks like when the prefix length is /24 or less. In
> such a case all four bytes of the prefix are not included in the encoded
> address - only the number of bytes necessary to fully specify the significant
> bits of the prefix are encoded.
> This necessitates showing that it is the usable bits of the prefix that are
> incremented when mapping to the next SID in the range - in this example
> adding "0.0.1.0" to the prefix.
> RFC 5737 only reserves three disjoint /24 ranges - so this example cannot be
> supported using just the reserved addresses.
>